Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           hstr
Version:        3.1
Release:        alt1_3
Summary:        Suggest box like shell history completion

License:        Apache-2.0
URL:            https://github.com/dvorka/hstr
Source0:        https://github.com/dvorka/hstr/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  automake
BuildRequires:  bash-completion
BuildRequires:  gcc
BuildRequires:  libncurses++-devel libncurses++w-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
BuildRequires:  libreadline-devel
Source44: import.info

%description
A command line utility that brings improved shell command completion
from the history. It aims to make completion easier and faster than Ctrl-r.


%prep
%setup -q

autoreconf -fiv

%build
%configure
%make_build


%install
%makeinstall_std


%files
%doc --no-dereference LICENSE
%doc Changelog README.md
%{_bindir}/hh
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/*
%{_mandir}/man1/%{name}.1*


%changelog
