# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(Future.pm) perl(Future/Mojo.pm) perl(Future/Queue.pm) perl(Future/Utils.pm) perl(Mojo/JSON.pm) perl(Mojo/URL.pm) perl(Mojo/UserAgent.pm) perl(Mojolicious.pm) perl(Moo.pm) perl(MooX/TypeTiny.pm) perl(OpenAPI/Modern.pm) perl(PerlX/Maybe.pm) perl(Pod/Markdown.pm) perl(Test2/V0.pm) perl(Types/Standard.pm) perl(YAML/PP.pm) perl(experimental.pm) perl(stable.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define module_name AI-Ollama-Client
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Client for AI::Ollama
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CORION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use 5.020;
  use AI::Ollama::Client;

  my $client = AI::Ollama::Client->new(
      server => 'https://example.com/',
  );
  my $res = $client->someMethod()->get;
  say $res;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.mkdn LICENSE Changes
%perl_vendor_privlib/A*

%changelog
