%define module_name Alien-Font-Vera
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.014
Release: alt1
Summary: Access to Vera truetype file
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BR/BRAMOS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module was created as an optional dependency of the Project2::Gantt manpage
to have access to a ttf font file.

Thus only the .ttf file is provided since this is what the Imager manpage can read.

Distros might redirect to pre-existing resources.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE CONTRIBUTING README
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*

%changelog
