# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/Make.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Test/Alien.pm) perl(Test/More.pm) perl(parent.pm) pkgconfig(hiredis)
# END SourceDeps(oneline)
%define module_name Alien-hiredis
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.011
Release: alt2
Summary: Alien wrapper for hiredis
Group: Development/Perl
License: artistic_2
URL: https://github.com/Grinnz/Alien-hiredis

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DB/DBOOK/%{module_name}-%{version}.tar.gz

%description
This module provides the hiredis
minimalistic C client library for the Redis database. See
the Alien::Build::Manual::AlienUser manpage for usage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README CONTRIBUTING.md Changes
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
