# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Cleanse/BuildDir.pm) perl(Alien/MSYS.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/CheckLib.pm) perl(File/Find/Rule.pm) perl(PkgConfig.pm) perl(Sort/Versions.pm) perl(Test/Alien.pm) perl(parent.pm) pkgconfig(libtiff-4)
# END SourceDeps(oneline)
%define module_name Alien-libtiff
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt2
Summary: Alien package for libtiff
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SL/SLAFFAN/%{module_name}-%{version}.tar.gz

%description
This Alien package is probably most useful for compilation of other modules,
e.g. the Alien::proj manpage or the Geo::GDAL::FFI manpage.



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
