%define module_name App-CveClient
BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Getopt/Std.pm) perl(JSON/MaybeXS.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Test/More.pm) perl(Test/Output.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.5
Release: alt1
Summary: CLI-based client / toolbox for CVE.org
Group: Development/Perl
License: open_source
URL: https://hacktivis.me/git/cve-client/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LA/LANODAN/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
- Perl 5
- Getopt::Std (should be included in your perl)
- JSON::MaybeXS (should be included in your perl)
- LWP::UserAgent (should be included in your perl)
- LWP::Protocol::https

```
%% cve-client CVE-2021-35197
CVE ID: CVE-2021-35197

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %name


%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*


%changelog
