%define module_name App-Gimei
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Class/Tiny.pm) perl(Data/Gimei.pm) perl(Getopt/Long.pm) perl(Module/Build/Tiny.pm) perl(Pod/Find.pm) perl(Pod/Text.pm) perl(Pod/Usage.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.6
Release: alt1
Summary: CLI for Data::Gimei
Group: Development/Perl
License: mit
URL: https://github.com/youpong/App-Gimei

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YO/YOUPONG/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
App::Gimei is CLI for Data::Gimei generates fake data that people's name in Japanese.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/A*
%_bindir/*

%changelog
