%define module_name App-Greple-update
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Greple.pm) perl(Encode.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(Text/ParseWords.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.03
Release: alt1
Summary: Greple module to update files
Group: Development/Perl
License: perl
URL: https://github.com/kaz-utashiro/greple-update

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UT/UTASHIRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This greple module substitute the target file contents by command
output.  For example, next command replace all words in the file to
uppercase.

    greple -Mupdate '\w+' --cm 'sub{uc}' --update file

Above is a very simple example but you can implement arbitrarily
complex convert function in conjunction with other various greple
options.

You can check how the file will be edited by --diff option.

    greple -Mupdate '\w+' --cm 'sub{uc}' --diff file

Command sdif or cdif is should be useful to see the difference
visually.

    greple -Mupdate '\w+' --cm 'sub{uc}' --diff file | cdif

This module has spun off from the App::Greple::subst manpage module.  Consult
it for more practical use case.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/A*

%changelog
