# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(Class/Utils.pm) perl(English.pm) perl(Error/Pure/Utils.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Object.pm) perl(File/Spec/Functions.pm) perl(Getopt/Std.pm) perl(IO/All.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(MARC/File/XML.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Markdown.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Output.pm) perl(Unicode/UTF8.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_name App-MARC-Count
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Base class and script for creating of some MARC field value unique count.
Group: Development/Perl
License: bsd
URL: https://github.com/michal-josef-spacek/App-MARC-Count

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use App::MARC::Count;

 my $app = App::MARC::Count->new;
 my $exit_code = $app->run;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README examples
%_bindir/*
%_man1dir/*
%perl_vendor_privlib/A*

%changelog
