%define module_name App-Perl-Module-Examples
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(Class/Utils.pm) perl(English.pm) perl(Error/Pure/Utils.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find/Rule.pm) perl(File/Spec/Functions.pm) perl(Getopt/Std.pm) perl(IO/All.pm) perl(IO/Barf.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Example.pm) perl(Pod/Markdown.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Tool for creating examples from Perl module POD documentation.
Group: Development/Perl
License: bsd
URL: https://github.com/michal-josef-spacek/App-Perl-Module-Examples

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use App::Perl::Module::Examples;

 my $app = App::Perl::Module::Examples->new;
 my $exit_code = $app->run;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README examples
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
