%define module_name App-Run-Command-ToFail
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(English.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Object.pm) perl(File/Spec/Functions.pm) perl(Getopt/Std.pm) perl(IO/All.pm) perl(IO/Barf.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Perl6/Slurp.pm) perl(Pod/Html.pm) perl(Pod/Markdown.pm) perl(Readonly.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Output.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Tool to run command in cycle to check fail.
Group: Development/Perl
License: bsd
URL: https://github.com/michal-josef-spacek/App-Run-Command-ToFail

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use App::Run::Command::To::Fail;

 my $app = App::Run::Command::ToFail->new;
 my $exit_code = $app->run;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE examples
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
