%define module_name App-remotediff
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Path.pm) perl(File/Temp.pm) perl(Getopt/Std.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.13
Release: alt1
Summary: remote diff over rsync
Group: Development/Perl
License: artistic_2
URL: https://github.com/kal247/App-remotediff

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KALDOR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a stub module, see script/remotediff.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
