%define module_name App-zipdetails
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(Data/Dumper.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Temp.pm) perl(Getopt/Long.pm) perl(IO/File.pm) perl(Pod/Markdown.pm) perl(Test/More.pm) perl(Time/Local.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 4.002
Release: alt1
Summary: Display details about the internal structure of Zip files
Group: Development/Perl
License: perl
URL: https://github.com/pmqs/zipdetails

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PM/PMQS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a stub module, see bin/zipdetails for details of the app.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
