%define module_name Apple-AppStoreConnect
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/JWT.pm) perl(CryptX.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Response.pm) perl(JSON.pm) perl(JSON/XS.pm) perl(LWP/UserAgent.pm) perl(Test2/Tools/Exception.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: Apple App Store Connect API client
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DK/DKECHAG/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Apple::AppStoreConnect provides basic access to the Apple App Store Connect API.

Please see the official API documentation
for usage and all possible requests.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes README.md
%perl_vendor_privlib/A*

%changelog
