# BEGIN SourceDeps(oneline):
BuildRequires: perl(Anonymous/Object.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(Types/Standard.pm)
# END SourceDeps(oneline)
%define module_name Array-Objectify
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: objectify an array
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

_use Array::Objectify;

_my $array = Array::Objectify->new(
__'abc', 
__{ 
___a => 1, 
___b => 2, 
___c => 3 
__}, 
__[ 
___{ 
____a => 1 
___}, 
___{
____b => 2
___}, 
___{
____c => 3
___} 
__]
_);

_$array->[0] # 'abc';
_$array->[1]->a; # 1
_$array->[2]->[1]->b; # 2;
_
_scalar @{$array}; # 3;
_push @{$array}, { d => 1 };
_$array->[3]->d # 1;

_...
_
_use Array::Objectify::Tie;

_tie my @array, 'Array::Objectify::Tie', 'abc', { a => 1, b => 2, c => 3}, [ { a => 1 }, { b => 2 }, { c => 3 } ];

_$array[0] # 'abc';
_$array[1]->a; # 1
_$array[2]->[1]->b; # 2;
_
_scalar @array; # 3;
_push @array, { d => 1 };
_$array->[3]->d # 1;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes ignore.txt
%perl_vendor_privlib/A*

%changelog
