%define module_name AsposeSlidesCloud-SlidesApi
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor.pm) perl(Class/Data/Inheritable.pm) perl(Date/Parse.pm) perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Date.pm) perl(HTTP/Headers.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Response.pm) perl(HTTP/Status.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Log/Any.pm) perl(Log/Any/Adapter.pm) perl(Module/Runtime.pm) perl(POSIX.pm) perl(URI/Escape.pm) perl(URI/Query.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 24.03
Release: alt1
Summary: Aspose.Slides Cloud SDK for Perl
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AS/ASPOSE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Aspose.Slides Cloud SDK for Perl
================================

This repository contains Aspose.Slides Cloud SDK for Perl source code. This SDK allows you to work with Aspose.Slides Cloud REST APIs in your perl applications quickly and easily. 

How to use the SDK?
===================

The complete source code is available in this repository folder. For more details, please visit our documentation website(http://www.aspose.com/docs/display/slidescloud/How+to+Setup+Aspose.Slides+Cloud+SDK+for+Perl).

Quick SDK Tutorial
==================


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md
%perl_vendor_privlib/A*

%changelog
