# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Combinatorics.pm) perl(Attean.pm) perl(CPAN.pm) perl(Cache/LRU.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(DBIx/MultiStatementDo.pm) perl(Data/Perl/Role/Collection/Hash.pm) perl(DateTime/Format/W3CDTF.pm) perl(Encode.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/ShareDir.pm) perl(File/Slurp.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(HTTP/Message/PSGI.pm) perl(I18N/LangTags.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Math/Cartesian/Product.pm) perl(Module/Build.pm) perl(Moo.pm) perl(MooX/Log/Any.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Scalar/Util.pm) perl(Set/Scalar.pm) perl(Socket.pm)
BuildRequires: perl(Test/Exception.pm) perl(Test/LWP/UserAgent.pm) perl(Test/Modern.pm) perl(Test/Moose.pm) perl(Test/More.pm) perl(Test/Roo.pm) perl(Try/Tiny.pm) perl(Type/Tiny.pm) perl(YAML/Tiny.pm) perl(autodie.pm) perl(namespace/clean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name AtteanX-Store-DBI
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Database quad-store
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/AtteanX-Store-DBI/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GW/GWILLIAMS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
AtteanX::Store::DBI provides a quad-store backed by a relational database.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/T*
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*

%files scripts
%_bindir/*

%changelog
