%def_without test
%define module_name Blio
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(DateTime/Format/ISO8601.pm) perl(DateTime/Format/RFC3339.pm) perl(Digest/SHA1.pm) perl(Encode.pm) perl(File/ShareDir.pm) perl(Imager.pm) perl(Markup/Unified.pm) perl(Module/Build.pm) perl(Module/Pluggable.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Getopt.pm) perl(MooseX/SimpleConfig.pm) perl(MooseX/Types/Path/Class.pm) perl(Path/Class.pm) perl(Path/Class/Iterator.pm) perl(Template.pm) perl(Test/File.pm) perl(Test/Most.pm) perl(XML/Atom/SimpleFeed.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.007
Release: alt1
Summary: domms blogging "engine"
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DO/DOMM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc readme.txt LICENSE README.md Changes
%perl_vendor_privlib/B*
%perl_vendor_privlib/auto/*
%files scripts
%_man1dir/*
%_bindir/*

%changelog
