%define module_name Blockchain-Ethereum-ABI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/Digest/Keccak256.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Math/BigInt.pm) perl(Module/Load.pm) perl(Object/Pad.pm) perl(Scalar/Util.pm) perl(Test/CPAN/Meta.pm) perl(Test/CheckDeps.pm) perl(Test/DistManifest.pm) perl(Test/Fatal.pm) perl(Test/Mojibake.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Portability/Files.pm) perl(Test/Version.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm) perl(experimental.pm) perl(indirect.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.015
Release: alt1
Summary: Contract ABI utilities
Group: Development/Perl
License: mit
URL: https://github.com/refeco/Blockchain-Ethereum-ABI

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RE/REFECO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The Contract Application Binary Interface (ABI) is the standard way to interact
with contracts (Ethereum), this module aims to be an utility to encode/decode the given
data according ABI type specification.

=over 4

=item * Encoder: the Blockchain::Ethereum::ABI::Encoder manpage

=item * Decoder: the Blockchain::Ethereum::ABI::Decoder manpage

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/B*

%changelog
