%define module_name Business-TrueLayer
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Complete/Country.pm) perl(Crypt/JWT.pm) perl(Crypt/PK/ECC.pm) perl(Data/GUID.pm) perl(DateTime/Format/DateParse.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(IO/Socket/SSL.pm) perl(JSON.pm) perl(Mojolicious.pm) perl(Moose.pm) perl(MooseX/Aliases.pm) perl(Test/MockObject.pm) perl(Test/Most.pm) perl(Test/Warnings.pm) perl(Try/Tiny/SmartCatch.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Perl library for interacting with the TrueLayer v3 API
Group: Development/Perl
License: perl
URL: https://metacpan.org/module/Business::TrueLayer

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEEJO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Business::TrueLayer manpage is a client library for interacting with the
TrueLayer v3 API. It implementes the necesary signing and transport logic
to allow you to just focus on just the endpoints you want to call.

The initial version of this distribution supports just those steps that
described at https://docs.truelayer.com/docs/quickstart-make-a-payment
and others will be added as necessary (pull requests also welcome).

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.pod README.md
%perl_vendor_privlib/B*

%changelog
