%define module_name CLI-Simple
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor/Fast.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(JSON/PP.pm) perl(List/Util.pm) perl(Log/Log4perl.pm) perl(Log/Log4perl/Level.pm) perl(Pod/Usage.pm) perl(Readonly.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.3
Release: alt1
Summary: Simple command line script accelerator
Group: Development/Perl
License: perl
URL: http://github.com/rlauer6/perl-CLI-Simple

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BIGFOOT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Tired of writing the same 'ol boilerplate code for command line
scripts? Want a standard, simple way to create a Perl script?
`CLI::Simple' makes it easy to create scripts that take *options*,
*commands* and *arguments*.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ChangeLog examples
%perl_vendor_privlib/C*

%files scripts
%_bindir/*

%changelog
