# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Import/Into.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(MooX/StrictConstructor.pm) perl(Package/Stash.pm) perl(Package/Variant.pm) perl(Ref/Util.pm) perl(Regexp/Common.pm) perl(Test/More.pm) perl(Test2/V0.pm) perl(Type/Tiny.pm) perl(Type/Utils.pm) perl(Types/Common/Numeric.pm) perl(Types/Common/String.pm) perl(Types/Standard.pm) perl(experimental.pm) perl(namespace/clean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name CXC-Astro-Regions
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Astronomical region support
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DJ/DJERIUS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
CXC::Astro::Regions provides support for specifying and
manipulating descriptions of regions used in astronomical software.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README CONTRIBUTING.md LICENSE
%perl_vendor_privlib/C*

%changelog
