%define module_name DBIx-QuickDB
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Carp.pm) perl(DBD/MariaDB.pm) perl(DBD/Pg.pm) perl(DBD/SQLite.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Copy/Recursive.pm) perl(File/Path.pm) perl(File/Temp.pm) perl(IPC/Cmd.pm) perl(Importer.pm) perl(Module/Pluggable.pm) perl(POSIX.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test2.pm) perl(Test2/API.pm) perl(Test2/V0.pm) perl(Time/HiRes.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000024
Release: alt1
Summary: Quickly start a db server.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EX/EXODIST/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This library makes it easy to spin up a temporary database server for any
supported driver. PostgreSQL and MySQL are the initially supported drivers.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README README.md
%perl_vendor_privlib/T*
%perl_vendor_privlib/D*

%changelog
