# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Localize.pm) perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(Test/Pod.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_name Data-Localize-YAML
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Acquire Lexicons From .yml Files
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BR/BRTASTIC/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is a plugin to Data::Localize which makes it possible to acquire
lexicons from YAML files in the following formats:

array

The default format. Resembles how basic `.po' files look, but is easier to
handle since it is YAML.

Key and value keys are by default `id' and `str', which can be changed by
passing `array_key_value' (a two element array with keys).

_---
_id: key
_str: translation
_---
_id: key2
_str: other translation

hash

Obtains simple key/value pairs from a hash

_---
_key: translation
_key2: other translation

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/D*

%changelog
