# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Record/Serialize.pm) perl(Data/Record/Serialize/Error.pm) perl(Data/Record/Serialize/Role/Encode.pm) perl(Data/Record/Serialize/Role/EncodeAndSink.pm) perl(Data/Record/Serialize/Role/Sink/Stream.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build/Tiny.pm) perl(Moo/Role.pm) perl(String/RewritePrefix.pm) perl(Test/More.pm) perl(Test2/Plugin/NoWarnings.pm) perl(Test2/V0.pm) perl(Text/CSV.pm) perl(Types/Common/String.pm) perl(Types/Standard.pm) perl(namespace/clean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Data-Record-Serialize-Encode-csv
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: encode a record as csv
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DJ/DJERIUS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Data::Record::Serialize::Encode::csv encodes a record as CSV (well
anything that the Text::CSV manpage can write).

It performs the the Data::Record::Serialize::Role::Encode manpage role. If the data sink
is a stream, try Data::Record::Serialize::Encode::csv_stream; it
provides better performance using the Text::CSV manpage's native output to filehandles.

=for Pod::Coverage encode

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README CONTRIBUTING.md Changes
%perl_vendor_privlib/D*

%changelog
