%define module_name Date-Holidays-US
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(POSIX.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Date::Holidays Adapter for US Federal holidays
Group: Development/Perl
License: see LICENSE
URL: https://github.com/mrdvt92/perl-Date-Holidays-US

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MR/MRDVT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Date::Holidays Adapter for US Federal holidays back to 1880 with updates from 2022.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes CONTRIBUTING.md
%perl_vendor_privlib/D*

%changelog
