%define module_name Debug-CodeBlock
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Import/Export.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Add DEBUG codeblocks to your code.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Use %%ENV and set DEBUG_PERL=1

_package House;
_
_sub rooms {
__my $rooms = model('House')->get_rooms();
__DEBUG {
___print "The house has ${rooms} rooms.";
__}
__return $rooms;
_}
_

... or you can define a DEBUG_ENABLED function in your package

_package House;
_
_our $DEBUG = 1;

_sub DEBUG_ENABLED { $DEBUG }
_
_sub rooms {
__my $rooms = model('House')->get_rooms();
__DEBUG {
___print "The house has ${rooms} rooms.";
__}
__return $rooms;
_}

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README ignore.txt
%perl_vendor_privlib/D*

%changelog
