%define module_name FFI-Platypus
# BEGIN SourceDeps(oneline):
BuildRequires: bzlib-devel dontpanic-devel gcc-c++ libffi-devel libsowing-devel perl(Acme/Alien/DontPanic.pm) perl(Alien/FFI.pm) perl(Capture/Tiny.pm) perl(Encode.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/ParseXS.pm) perl(FFI/CheckLib.pm) perl(File/Spec/Functions.pm) perl(File/chdir.pm) perl(Git/Wrapper.pm) perl(IPC/Cmd.pm) perl(JSON/PP.pm) perl(List/Util.pm) perl(Math/Complex.pm) perl(Path/Tiny.pm) perl(PkgConfig.pm) perl(Sub/Identify.pm) perl(Test/LeakTrace.pm) perl(Test2/API.pm) perl(Test2/V0.pm) perl(autodie.pm) perl(constant.pm) perl(forks.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.08
Release: alt2
Summary: Write Perl bindings to non-Perl libraries with FFI. No XS required.
Group: Development/Perl
License: perl
URL: https://pl.atypus.org

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes.FFI-Build README CONTRIBUTING Changes Changes.FFI-Platypus-Type-StringArray SUPPORT author.yml examples
%perl_vendor_archlib/F*
%perl_vendor_autolib/*

%changelog
