# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clone.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moose.pm) perl(Test/CheckDeps.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/FailWarnings.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Time/Duration/Concise/Localize.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define module_name Finance-Exchange
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: represents a financial stock exchange object.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DE/DERIV/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a generic representation of a financial stock exchange.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes README LICENSE
%perl_vendor_privlib/F*
%perl_vendor_privlib/auto/*

%changelog
