%define module_name Font-PCF
# BEGIN SourceDeps(oneline):
BuildRequires: perl(IO/Handle/Packable.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Object/Pad.pm) perl(Object/Pad/ClassAttr/Struct.pm) perl(PerlIO/gzip.pm) perl(Syntax/Keyword/Match.pm) perl(Test/More.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: read an X11 PCF font file
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Instances of this class provide read access to the "PCF" format font files
that are typically found as part of an X11 installation.

This module was written just to be sufficient for generating font bitmaps to
encode in microcontroller programs for display on OLED panels. It is possibly
useful for other use-cases as well, but may required more methods adding.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README examples
%perl_vendor_privlib/F*

%changelog
