# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(PDF/API2.pm) perl(PDF/Table.pm) perl(Time/Local.pm)
# END SourceDeps(oneline)
%define module_name Games-Sudoku-Pdf
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Produce pdf files from your digital Sudoku sources or collections.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
An easy way to create pdf files of 9x9 Sudoku puzzles from various sources, which you can give to your friends or print out and pencil solve at the beach.
Sixteen variants of 9x9 Sudoku are supported. (See the output of scripts/example.pl.)
Just specify how many puzzles (columns x rows) to arrange per page and the positioning and scaling will be adapted automatically.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_privlib/G*

%files scripts
%_bindir/*

%changelog
