%define module_name Getopt-EX-Hashed
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Getopt/Long.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0503
Release: alt1
Summary: Hash store object automation
Group: Development/Perl
License: perl
URL: https://github.com/kaz-utashiro/Getopt-EX-Hashed

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UT/UTASHIRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Getopt::EX::Hashed is a module to automate a hash object to store
command line option values.  Major objective of this module is to
integrate initialization and specification into single place.  Module
name shares Getopt::EX, but it works independently from other
modules included in Getopt::EX, so far.

In the current implementation, using Getopt::Long, or compatible
module such as Getopt::EX::Long is assumed.  It is configurable,
but no other module is supported now.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/G*

%changelog
