%define module_name Glitch
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Exception Handling.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
package Foo;

_use Glitch;

_sub bar {
__do { ... } or glitch('one', message => 'Create a new glitch error message');

__... later in your code you can then reuse glitch 'one'

__do { ... } or glitch('one');
_}

...

_package Foo;

_use Glitch (
__one => {
___message => 'Create a new glitch error message'
__},
__two => {
___message => 'A different glitch error message',
___fileName => '',
__}
_);

_sub bar {
__eval {
___do { ... } or glitch('one');
___...
___do { ... } or glitch('two', fileName => 'abc');
__};
__if ($@) {
___do { ... } if $@->name eq 'one';
___do { ... } if $@->name eq 'two';
__}
_}

_1;

...

_package Glitches;

_use Glitch (
__one => {
___message => 'Create a new glitch error message'
__},
__two => {
___message => 'A different glitch error message',
___fileName => '',
__}
_);

_1;

_package Foo;

_use Glitch;
_use Glitches;

_sub bar {
__eval {
___do { ... } or glitch('one');
___...
___do { ... } or glitch('two', fileName => 'abc');
__};
__if ($@) {
___if ($@->name eq 'one') { ... }
___elsif ($@->name eq 'two') { ... }
__}
_}

_1;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt README Changes
%perl_vendor_privlib/G*

%changelog
