# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Module/Build/Tiny.pm) perl(Plack/Response.pm) perl(Plack/Util.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name HTTP-SecureHeaders
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: manage security headers with many safe defaults
Group: Development/Perl
License: perl
URL: https://github.com/kfly8/p5-HTTP-SecureHeaders

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KF/KFLY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
HTTP::SecureHeaders manages HTTP headers to protect against XSS attacks, insecure connections, content type sniffing, etc.

NOTE: To protect against these attacks, sanitization of user input values and other protections are also required.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/H*

%changelog
