%define module_name IP-Geolocation-MMDB
# BEGIN SourceDeps(oneline):
BuildRequires: libmaxminddb-devel perl(Alien/libmaxminddb.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(Math/BigInt.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(XSLoader.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.010
Release: alt2
Summary: Read MaxMind DB files
Group: Development/Perl
License: perl
URL: https://github.com/voegelas/IP-Geolocation-MMDB/wiki

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VO/VOEGELAS/%{module_name}-%{version}.tar.gz

%description
A Perl module that reads MaxMind DB files and maps IP addresses to two-letter
country codes such as "DE", "FR" and "US".

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md CONTRIBUTING.md LICENSE Changes
%perl_vendor_archlib/I*
%perl_vendor_autolib/*

%changelog
