# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Khonsu.pm) perl(Moo.pm) perl(Syntax/Kamelon.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Khonsu-Syntax
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Khonsu PDF Generation Syntax Highlighting Plugin/Component
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use khonsu;

_Khonsu->load_plugin(qw/+Syntax/);

_my $k = Khonsu->new('test', page_args => {padding => 20});

_my $json = q|{
__"one": 1,
__"two": 2,
__"three": 3,
__"four": 4
_}|;

_$k->add_syntax(
__syntax => 'JSON',
__line_numbers => 1,
__text => $json
_);

_$k->save();

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt Changes README
%perl_vendor_privlib/K*

%changelog
