%define module_name Lingua-RU-Numeral
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(Test/More/UTF8.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Perl extension for generate Russian wording of numerals from the natural numbers and 0 (zero).
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DO/DONANGEL/Lingua-RU/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides function that can be used to generate Russian verbiage for the natural numbers (unsigned integer) and 0 (zero).
The methods implemented in this module, are all focused on knowledge of Russian grammar.

This module makes verbiage in "short scales" (1,000,000,000 is ".'.E.a.A .'.a.O.O.a.O.e.E" rather than ".'.E.A.O .'.'.'.'.'.O .'.a.O.O.a.'.A.'.B").
For details see this Wikipedia russian article:

https://ru.wikipedia.org/wiki/...a.'.'.o.'.'_.A.O.a.'.o.A.'.B.O.A.a.'_.'.a.'.o.O

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/L*

%changelog
