%define module_name Mail-Exim-ACL-Attachments
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Compress/Zip.pm) perl(IO/Uncompress/Unzip.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.005
Release: alt1
Summary: Reject email attachments
Group: Development/Perl
License: perl
URL: https://github.com/voegelas/Mail-Exim-ACL-Attachments/wiki

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VO/VOEGELAS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A Perl module for the Exim mailer that checks email
attachments for blocked filenames.  Common executable, macro-enabled and
archive file formats can be rejected.

The list of blocked filename extensions is built from information published by
Microsoft and Wikipedia.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md CONTRIBUTING.md LICENSE
%perl_vendor_privlib/M*

%changelog
