%define module_name Mail-Exim-ACL-Geolocation
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(IP/Geolocation/MMDB.pm) perl(List/Util.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.004
Release: alt1
Summary: Map IP addresses to country codes
Group: Development/Perl
License: perl
URL: https://github.com/voegelas/Mail-Exim-ACL-Geolocation/wiki

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VO/VOEGELAS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A Perl module for the Exim mailer that maps IP
addresses to two-letter country codes such as "DE", "FR" and "US".
SpamAssassin can use these country codes to filter junk email.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes CONTRIBUTING.md LICENSE
%perl_vendor_privlib/M*

%changelog
