%define module_name Markdown-Render
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor/Fast.pm) perl(Config/Tiny.pm) perl(Date/Format.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(HTTP/Request.pm) perl(IO/Scalar.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Readonly.pm) perl(Text/Markdown/Discount.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.04
Release: alt1
Summary: Render markdown using GitHub API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BIGFOOT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Renders markdown as HTML using either GitHub's API or the Text::Markdown manpage. Optionally adds
additional metadata to markdown document using custom tags.

See README.md for more details.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ChangeLog README.md
%perl_vendor_privlib/M*

%files scripts
%_bindir/*

%changelog
