%define module_name Mock-Data
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(DBIx/Class.pm) perl(DBIx/Class/Schema/Loader.pm) perl(Data/Dumper.pm) perl(Exporter/Extensible.pm) perl(ExtUtils/MakeMaker.pm) perl(Hash/Util.pm) perl(JSON.pm) perl(JSON/MaybeXS.pm) perl(JSON/PP.pm) perl(List/Util.pm) perl(MRO/Compat.pm) perl(Module/Runtime.pm) perl(POSIX.pm) perl(Pod/Coverage/TrustPod.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test2/V0.pm) perl(Time/HiRes.pm) perl(Unicode/UCD.pm) perl(charnames.pm) perl(mro.pm) perl(overload.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Extensible toolkit for generating mock data
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NE/NERDVANA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is a generator of mock data.  It takes good ideas seen in the Data::Faker manpage,
the Mock::Populate manpage, and other similar modules, and combines them into a cohesive
extensible design.

Each mock data generator is called as a method on an instance of `Mock::Data'.  This allows
generators to store persistent state between calls.  It also allows them to be configured
with per-instance settings.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README README.md Changes
%perl_vendor_privlib/M*

%changelog
