%define module_name Mojolicious-Plugin-Config-Structured
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Structured.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Mojolicious.pm) perl(Readonly.pm) perl(Test/More.pm) perl(Test2/Suite.pm) perl(XS/Parse/Keyword.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.004
Release: alt1
Summary: Mojolicious Plugin for Config::Structured: locates and reads config and definition files and loads ...
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TY/TYRRMINAL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Initializes the Config::Structured manpage from two files:

=over

=item `definition' 

pulled from $app_home/$moniker.conf.def

=item `config_values' 

pulled from the first existent, readable file from:

  config_file parameter value

  $app_home/$moniker.$mode.conf

  $app_home/$moniker.conf

These files are expected to contain perl hashref structures

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README README.md
%perl_vendor_privlib/M*

%changelog
