%define module_name Mojolicious-Plugin-ConfigGeneral
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/General.pm) perl(ExtUtils/MakeMaker.pm) perl(Mojolicious.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt1
Summary: Config::General Configuration Plugin for Mojolicious
Group: Development/Perl
License: perl
URL: https://sourceforge.net/projects/mojolicious-plugin-cg/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AB/ABALAMA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Mojolicious::Plugin::ConfigGeneral is a the Config::General manpage Configuration Plugin for Mojolicious

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc INSTALL.md TODO LICENSE Changes README.md
%perl_vendor_privlib/M*

%changelog
