%define module_name MooX-Keyword
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Anonymous/Object.pm) perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(MooX/ReturnModifiers.pm) perl(Test/More.pm) perl(Types/Standard.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: The great new MooX::Keyword!
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

_package Moon;

_use Moo;
_use MooX::Keyword {
__moon => {
___alias => 'star',
___builder => sub {
____shift->has(@_);
___}
__}
_};

_moon shine => (
__is => 'rw',
__default => sub { ... }
_);

_star light => (
__is => 'ro'
_);

_...

_my $moon = Moon->new(
__shine => 211,
__light => [{ ... }]
_);
_
_$moon->shine(633);
_$moon->light;

_...

_package Night 

_use Moo;
_use MooX::Keyword extends => "Moon";

_star polaris  => (
__is => 'ro'
_);


beta.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README ignore.txt Changes
%perl_vendor_privlib/M*

%changelog
