%define module_name MooX-Keyword-Field
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(MooX/Keyword.pm) perl(Test/More.pm) perl(Types/Standard.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: field attributes that cannot be set via the constructor
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

_package Persona;

_use Moo;
_use MooX::Keyword extends => '+Field', param => {
__builder => sub {
___shift->has(shift, is => 'rw', @_);
__}
_};

_param "name";
_param "title"

_field created => ( # by default ro
__builder => sub {
___time;
__}
_);

_...

_my $persona = Persona->new({
__name => $name,
__title => $title,
__created => $sometime # won't get set here
_});

_$persona->created;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt Changes README
%perl_vendor_privlib/M*

%changelog
