# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Tiny.pm) perl(JSON.pm) perl(MIME/Base64.pm) perl(Scalar/Util.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define module_name Net-Correios
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: acesse a API REST dos Correios
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GA/GARU/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a way to query the Brazilian Postal Office (Correios) via
its REST API, regarding fees, estimated delivery times, etc. Since the main
audience for this module are Brazilian developers, the documentation is
provided in portuguese only. If you need help with this module but don't speak
portuguese, please contact the author.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/N*

%changelog
