%define module_name ODF-lpOD
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Zip.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Slurp.pm) perl(File/Temp.pm) perl(File/Type.pm) perl(IO/File.pm) perl(Image/Size.pm) perl(LWP/Simple.pm) perl(Time/Local.pm) perl(XML/Twig.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.200
Release: alt1
Summary: An OpenDocument management interface
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AB/ABEVERLEY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is an office document management interface. It allows the users to
create or transform office documents, or to extract data from them. It can
handle files which comply with the ODF standard and whose type is *text* (odt),
*spreadsheet* (ods), *presentation* (odp) or *drawing* (odg). It interacts
directly with the files and doesn't depend on a particular office software.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/O*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
