# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Spec/Functions.pm) perl(JSON.pm) perl(Mojo/Base.pm) perl(Mojo/URL.pm) perl(OpenAPI/Client.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/RequiresInternet.pm)
# END SourceDeps(oneline)
%define module_name OpenAPI-Client-OpenAI
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: A client for the OpenAI API
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NF/NFERRAZ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
OpenAPI::Client::OpenAI is a client for the OpenAI API built on
top of the OpenAPI::Client manpage. This module automatically handles the API
key authentication according to the provided environment.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md ignore.txt Changes
%perl_vendor_privlib/O*
%perl_vendor_privlib/auto/*

%changelog
