%define module_name Perl-Dist-APPerl
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(JSON/PP.pm) perl(Test/Pod/LinkCheck/Lite.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.5.0
Release: alt1
Summary: Actually Portable Perl
Group: Development/Perl
License: perl
URL: https://computoid.com/APPerl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GA/GAHAYES/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
Actually Portable Perl (APPerl) is a distribution of Perl the runs on
several x86_64 operating systems via the same binary. It builds to a
single binary with perl modules packed inside of it.

Cross-platform, single binary, standalone Perl applications can be made
by building custom versions of APPerl, with and without compiling
Perl from scratch, so it can be used an alternative to the PAR::Packer manpage.
APPerl could also easily be added to development SDKs,
carried on your USB drive, or just allow you to run the exact same perl
on all your PCs multiple computers.

This package documentation covers the apperlm tool for building APPerl,
APPerl usage, and how to create applications with APPerl. To handle the
chicken-and egg-situation of needing Perl to build APPerl, APPerl may
be bootstrapped from an existing build of APPerl. See README.md for
instructions.

Information on the creation of APPerl can be found in this blog post:
https://computoid.com/posts/Perl-is-Actually-Portable.html.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/P*

%files scripts
%_bindir/*

%changelog
