%define module_name Perlanet
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/TidyHTML5.pm) perl(CHI.pm) perl(DateTime.pm) perl(DateTime/Duration.pm) perl(DateTime/Format/Strptime.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(File/Path.pm) perl(HTML/Scrubber.pm) perl(HTML/T5.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Moose.pm) perl(MooseX/ConfigFromFile.pm) perl(MooseX/Traits.pm) perl(Template.pm) perl(Test/More.pm) perl(Test/Warnings.pm) perl(Try/Tiny.pm) perl(URI/Fetch.pm) perl(XML/Feed.pm) perl(XML/OPML/SimpleGen.pm) perl(YAML.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.0.3
Release: alt1
Summary: A program for creating programs that aggregate web feeds (both
Group: Development/Perl
License: perl
URL: http://perlanet.mag-sol.com/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DA/DAVECROSS/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README.md examples
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
