%define module_name Plack-Component-Tags-HTML
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(CSS/Struct/Output/Raw.pm) perl(Capture/Tiny.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(English.pm) perl(Error/Pure.pm) perl(Error/Pure/Utils.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request/Common.pm) perl(IO/All.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Plack/Component.pm) perl(Plack/Test.pm) perl(Plack/Util/Accessor.pm) perl(Pod/Markdown.pm) perl(Readonly.pm) perl(Scalar/Util.pm) perl(Tags/HTML/Page/Begin.pm) perl(Tags/HTML/Page/End.pm) perl(Tags/Output/Raw.pm) perl(Test/MockObject.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt1
Summary: Plack component for Tags with HTML output.
Group: Development/Perl
License: bsd
URL: https://github.com/michal-josef-spacek/Plack-Component-Tags-HTML

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This component is helper for creating Plack application with Tags.
It is based on Plack::Component.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE examples
%perl_vendor_privlib/P*

%changelog
