%define module_name RF-Functions
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/Round.pm) perl(POSIX.pm) perl(Test/Number/Delta.pm) perl(Test/Simple.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Perl Exporter for Radio Frequency (RF) Functions
Group: Development/Perl
License: see LICENSE
URL: https://github.com/mrdvt92/perl-RF-Functions

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MR/MRDVT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
RF::Functions is a lib for common RF function.  I plan to add additional functions as I need them.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING.md LICENSE Changes README.md
%perl_vendor_privlib/R*

%changelog
