%define module_name Redis-Cluster-Fast
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/clang-format /usr/bin/gcovr gcc-c++ libev-devel libevent-devel libgnustep-corebase-devel libhiredis-devel libivykis-devel libssl-devel libsystemd-devel libuv-devel perl(File/Which.pm) perl(IO/CaptureOutput.pm) perl(JSON.pm) perl(Module/Build.pm) perl(Module/Build/XSUtil.pm) perl(Scope/Guard.pm) perl(Sub/Retry.pm) perl(Test/More.pm) pkgconfig(glib-2.0)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.091
Release: alt1
Summary: A fast perl binding for Redis Cluster
Group: Development/Perl
License: perl
URL: https://github.com/plainbanana/Redis-Cluster-Fast

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLAIN/%{module_name}-%{version}.tar.gz

%description
Redis::Cluster::Fast is like Redis::Fast but support Redis Cluster by hiredis-cluster.

Require Redis 6 or higher to support RESP3.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE examples
%perl_vendor_archlib/R*
%perl_vendor_autolib/*

%changelog
