%define module_name Schema-Abstract
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(Class/Utils.pm) perl(English.pm) perl(Error/Pure.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Object.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(IO/All.pm) perl(IO/Barf.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Perl6/Slurp.pm) perl(Pod/Markdown.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Abstract class for Schema modules.
Group: Development/Perl
License: bsd
URL: https://github.com/michal-josef-spacek/Schema-Abstract

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is abstract class for versioned schemas modules.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE examples
%perl_vendor_privlib/S*

%changelog
