%define module_name Shell-Var-Reader
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(Hash/Flatten.pm) perl(Hash/Merge.pm) perl(JSON.pm) perl(JSON/Path.pm) perl(Rex.pm) perl(Rex/CMDB/TOML.pm) perl(Rex/CMDB/YAMLwithRoles.pm) perl(String/ShellQuote.pm) perl(TOML/Tiny.pm) perl(Test/More.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.9.0
Release: alt1
Summary: Runs a sh or bash script and returns the variables that have been set as well as their values.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VV/VVELOX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Lets say '/usr/local/etc/someconfig.conf' which is basically a shell
config and read via include in a sh or bash script, this can be used for
getting a hash ref conttaining them.

Similarly on systems like FreeBSD, this is also useful for reading '/etc/rc.conf'.

    use Shell::Var::Reader;
    use Data::Dumper;

    my $found_vars=Shell::Var::Reader->read_in('/usr/local/etc/someconfig.conf');

    print Dumper($found_vars);

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/S*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
