%define module_name Software-Copyright
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Array/IntSpan.pm) perl(Carp.pm) perl(Date/Parse.pm) perl(English.pm) perl(File/Spec.pm) perl(Module/Build.pm) perl(Mouse.pm) perl(Mouse/Util/TypeConstraints.pm) perl(MouseX/NativeTraits.pm) perl(Pod/Wordlist.pm) perl(Storable.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Spelling.pm) perl(Test/Synopsis/Expectation.pm) perl(Time/localtime.pm) perl(Unicode/Normalize.pm) perl(feature.pm) perl(open.pm) perl(overload.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.013
Release: alt1
Summary: Copyright class
Group: Development/Perl
License: gpl
URL: https://gitlab.com/ddumont/software-copyright.git

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DD/DDUMONT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class holds a copyright statement, i.e. a set of year range, name
and email.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.org LICENSE
%perl_vendor_privlib/S*

%changelog
