%define module_name Term-ANSIColor-Concise
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Graphics/ColorNames.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Scalar/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.05
Release: alt1
Summary: Produce ANSI terminal sequence by concise notation
Group: Development/Perl
License: perl
URL: https://github.com/tecolicom/Term-ANSIColor-Concise

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UT/UTASHIRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a simple concise format to describe complicated
colors and effects for ANSI terminals.  These notations are supposed to
be used in command line option parameters.

This module used to be a part of the Getopt::EX::Colormap manpage module, which
provide easy handling interface for command line options.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/T*

%changelog
