# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Glitch.pm) perl(JSON.pm) perl(Terse.pm) perl(Test/More.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define module_name Terse-Plugin-Glitch
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: The great new Terse::Plugin::Glitch!
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

_package Intangible;

_use base 'Terse';
_use Terse::Plugin::Glitch;

_sub build_terse {
__$_[0]->glitch = Terse::Plugin::Glitch->new(
___glitch_config => 't/lib/glitch.conf',
___format => 'YAML'
__);
_}

_sub auth {
__...
__$_[1]->response->raiseError($_[0]->glitch->call('unauthenticated')->hash);
_}

_...

_package Intangible::Money::Plugin::Glitch;

_use base 'Terse::Plugin::Glitch';

_sub build_glitch_config {
__my ($self) = shift;
__$self->glitch_config = 'path/to/config.yml';
__$self->format = 'YAML';
_}

_package Intagible::Money;

_use base 'Terse::App';

_sub auth {
__...
__$_[1]->plugin('glitch')->logError($_[1], 'unauthenticated');
_}

_1;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt README Changes
%perl_vendor_privlib/T*

%changelog
