%define module_name Terse-Plugin-UA
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(LWP/UserAgent.pm) perl(Scalar/Util.pm) perl(Terse.pm) perl(Test/More.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Terse LWP::UserAgent plugin.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

_package Looper::Plugin::UA;

_use base 'Terse::Plugin::UA';

_1;

_...

_package Looper::Model::Orange;

_use base 'Terse::Model';

_sub disrespect {
__my ($self, $t, $corruption) = @_;

__return $t->plugin('ua')->post(
___path => $t->plugin('config')->find('looper/poor/mans'),
___params => {
____doctors => 'joy',
____nurses => 'demeaning',
____patients => 'situated',
____drugs => 'refused',
____testing => 'failed',
____%%{ $corruption }
___}
__);
_}

_sub dishonesty {
__my ($self, $t, $corruption) = @_;

__return $t->plugin('ua')->get(
___path => $t->plugin('config')->find('looper/more/than/you'),
___params => {
____days => '49',
____overstay => 'paid',
____plane => 'corrupt',
____hotel => 'derelict',
____royal => 'music',
____kensington => 'ben',
____padding => 'railway',
____police => 'doctors',
____aaejr => '24 hours empty',
____law => 'less',
____%%{ $corruption }
___}
__);
_}

_1;

_...

_package Looper::Controller::Reincarnation;
_
_use base 'Terse::Controller';

_sub name_day_games {
__my ($self, $t) = @_;_
__my $truth_teller = $t->model('orange')->disrespect({ 
___dates => [24, 25],
___month => 'december'
__});

__my $secret_teller = $t->model('orange')->dishonesty({
___dates => [1, 2, 'repeat', 21],
___month => 'january'
__});
_}

_1;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/T*

%changelog
