# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Template.pm) perl(Terse.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Terse-View-TT
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Terse Template Toolkit View
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
lib/Karaoke/View/TT.pm

_package Karaoke::View::TT;

_use base qw/Terse::View::TT/;

_1;

lib/Karaoke/Controller/Songs.pm

_package Karaoke::Controller::Songs;

_use base qw/Terse::Controller/;

_sub songs : any : view(tt) {
__my ($self, $t) = @_;
__$t->response->popular_songs = $t->model('Songs')->popular_songs(5);
__...
_}

_sub add : get : path(songs/add) : view(tt) { ... }

_sub add : post : path(songs/add) { ... }

_...

_1;

root/src/wrapper.tt

_<html>
__<head>
___...
__</head>
__<body>
___...
___[%% content %%]
___...
__</body>
_</html>

root/src/songs.tt
_
_<div>
__...
__<h1>Top 5 Songs</h1>
__[%% FOREACH song in popular_songs %%]
__<div>
___...
__</div>
__[%% END %%]
__...
_</div>

Karaoke.psgi

_use lib 'lib';
_use Terse;
_use Karaoke;
_our $app = Karaoke->start(
__lib => 'lib',
__views => {
___TT => {
____WRAPPER => 'wrapper'
___}
__}
_);

_sub {
     __my ($env) = (shift);
        _Terse->run(
               __plack_env => $env,
                _application => $app,
        _);
_};

...

_plackup -s Starman Karaoke.psgi

...

_GET http://localhost:5000/songs

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes ignore.txt README
%perl_vendor_privlib/T*

%changelog
