%define module_name Test-Instruction
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(Compiled/Params/OO.pm) perl(ExtUtils/MakeMaker.pm) perl(Import/Export.pm) perl(Switch/Again.pm) perl(Test/More.pm) perl(Type/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: A test framework
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Test::Instruction qw/all/;

_use Module::To::Test;

_instruction(
__test => 'true',
__func => \&Module::To::Test::true_function
_);

_instruction(
__test => 'false',
__func => \&Module::To::Test::false_function
_);

_my $obj = Module::To::Test->new();

_instruction(
__test => 'hash',
__instance => $obj,
__meth => 'method_that_returns_a_hash',
__expected => { a => 1, b => 2, c => 3 }
_);

_finish(3);

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README ignore.txt Changes
%perl_vendor_privlib/T*

%changelog
