%define module_name Test-Tk
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Tk.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.02
Release: alt1
Summary: Testing Tk widgets.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HA/HANJE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module aims to assist in the testing of Perl/T kwidgets.

createapp creates a MainWindow widget and places it in the variable $app.
It sets a timer with delay $delay to start the internal test routine.

After MainLoop is called and the timer is done, testing is done using the @tests array.
When testing is done it destroys the MainWindow and continues the test script.

You can set a command line parameter show to test command on the command line.
eg *perl -Mblib t/My-Test.t show*. The application will not terminate so you 
can visually inspect it.

It will perform two tests. You need to account for these 
when you set your number of tests.

If you are not on Windows or no XServer is running, all tests will be skipped.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/T*

%changelog
