%define module_name Tk-DocumentTree
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Test/Tk.pm) perl(Tk.pm) perl(Tk/ITree.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: ITree based document list
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HA/HANJE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Tk::DocumentTree is a Tree like megawidget. It consists of a Label and an ITree Widget.

You can use all of the options of an ITree widget except for *-itemtype*, *-browsecmd*,
*-separator*, *-selectmode* and *-exportselection*.

The Label on top displays the path all added entries have in commom.
It automatically creates a folder tree as entries are added.

Entries can have the status *file* or *untracked*
An entry is untracked when it does not exist as a file.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_privlib/T*

%changelog
