%define module_name Type-Library-Compiler
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/XSAccessor.pm) perl(Devel/GlobalDestruction.pm) perl(ExtUtils/MakeMaker.pm) perl(MRO/Compat.pm) perl(Mite/Project.pm) perl(Test/Requires.pm) perl(Test2/V0.pm) perl(Types/Standard.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.006
Release: alt1
Summary: compile a bunch of type constraints into a library with no non-core dependencies
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Type-Library-Compiler

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOBYINK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class performs the bulk of the work for type-library-compiler.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYRIGHT CREDITS README LICENSE Changes examples
%perl_vendor_privlib/T*

%files scripts
%_bindir/*

%changelog
