%define module_name Unicode-Tussle
%filter_from_requires /^.hfe.ova.rai/d
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(Lingua/EN/Syllable.pm) perl(Lingua/JA/Romanize/Japanese.pm) perl(Lingua/KO/Hangul/Util.pm) perl(Lingua/KO/Romanize/Hangul.pm) perl(Lingua/ZH/Romanize/Pinyin.pm) perl(Pod/Usage.pm) perl(Roman.pm) perl(Term/Cap.pm) perl(Test/More.pm) perl(Unicode/Collate.pm) perl(Unicode/Collate/Locale.pm) perl(Unicode/GCString.pm) perl(Unicode/Normalize.pm) perl(Unicode/UCD.pm) perl(Unicode/Unihan.pm) perl(autodie.pm) perl(charnames.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.115
Release: alt1
Summary: Tom's Unicode Scripts So Life is Easier
Group: Development/Perl
License: perl
URL: https://github.com/briandfoy/unicode-tussle

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BD/BDFOY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
These programs are installed wherever you told the build system to
install programs. These are part of Tom's *Perl Unicode Essentials*
talk from OSCON 2011. You might have to adjust your fonts to see some
of the characters in these examples. George Douros.e's Symbola font,
which handles Unicode 6.0, is a good one:
http://users.teilar.gr/~g1951d/

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.pod
%perl_vendor_privlib/U*
%exclude %_bindir/*
%_man1dir/*

%changelog
