%define module_name Virani
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/MD5.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/Find/IncludesTimeRange.pm) perl(File/Find/Rule.pm) perl(File/Slurp.pm) perl(File/Spec.pm) perl(HTTP/Request/Common.pm) perl(IPC/Cmd.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Mojolicious/Lite.pm) perl(Net/Subnet.pm) perl(Sys/Syslog.pm) perl(TOML.pm) perl(Test/More.pm) perl(Time/Piece.pm) perl(Time/Piece/Guess.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1.0
Release: alt1
Summary: PCAP retrieval for a FPC setup writing to PCAP files.
Group: Development/Perl
License: lgpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VV/VVELOX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Virani;

    my $virani = Virani->new();
    ...

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/V*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
