%define module_name WWW-Suffit
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/OpenSSL/RSA.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(Mojolicious.pm) perl(Term/ANSIColor.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.07
Release: alt1
Summary: The Suffit core library
Group: Development/Perl
License: perl
URL: https://sourceforge.net/projects/www-suffit-useragent/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AB/ABALAMA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This library provides common functionality for all sub projects of the Suffit metasystem

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE TODO INSTALL.md Changes README.md
%perl_vendor_privlib/W*

%changelog
