%define module_name WWW-Suffit-Client
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Mojolicious.pm) perl(Test/More.pm) perl(WWW/Suffit.pm) perl(WWW/Suffit/UserAgent.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt1
Summary: The Suffit API client library
Group: Development/Perl
License: perl
URL: https://sourceforge.net/projects/www-suffit-client/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AB/ABALAMA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This library provides methods for access to Suffit API servers

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc INSTALL.md README.md LICENSE TODO Changes
%perl_vendor_privlib/W*

%changelog
