%define module_name YAML-As-Parsed
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON/MaybeXS.pm) perl(JSON/PP.pm) perl(Test/More.pm) perl(Tie/IxHash.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Read/Write YAML predictably
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is an port of the the YAML::Tiny manpage module, it has been extended to replace perl's traditional unordered hashes that can change per evaluation, with predictable ordered hashes. The rational behind this is needing to derive content from a YAML string or file while keeping the order that it was defined.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README ignore.txt
%perl_vendor_privlib/Y*

%changelog
