%define module_name YAML-Tidy
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(Data/Dumper.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(Getopt/Long/Descriptive.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/Warnings.pm) perl(YAML/LibYAML/API.pm) perl(YAML/LibYAML/API/XS.pm) perl(YAML/PP/Common.pm) perl(YAML/PP/Highlight.pm) perl(YAML/PP/Parser.pm) perl(base.pm) perl(constant.pm) perl(experimental.pm) perl(overload.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10.0
Release: alt1
Summary: Tidy YAML files
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TI/TINITA/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
yamltidy can automatically fix indentation in your YAML files.

For more information, see https://github.com/perlpunk/yamltidy.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md CONTRIBUTING.md LICENSE Changes
%perl_vendor_privlib/Y*
%perl_vendor_privlib/y*

%files scripts
%_bindir/*

%changelog
