%define module_name constant-more
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3.0
Release: alt1
Summary: Assign values to constants from the command arguments
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DR/DRCLAW/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
Performs the similar tasks as `use constant', but adds features to assign
values of constants from the command line or environment variables.

In addition, constants are only defined/set if they don't exist already, making
configuring and overriding constants defined in sub modules possible. A module
can specify a default value which is used if the constant hasn't been defined
by the top level script. 

the GetOpt::Long manpage option specification is used for processing command line
options to give flexibility in how and what switches are used.  To save on
memory, the GetOpt::Long manpage is only loaded if option processing is wanted (i.e. the
`opt' field is specified).

In advanced form, a user subroutine can be supplied to give control
of processing. This is used by the Log::OK manpage for example to generate multiple
constants from a single input level.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md README Changes
%perl_vendor_privlib/c*

%changelog
