# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build.pm) perl(Test/More.pm) perl(parent.pm) perl(version.pm)
# END SourceDeps(oneline)
%define module_name Acme-FSM
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.3.5
Release: alt1
Summary: Pseudo Finite State Machine
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WH/WHYNOT/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
  Acme::FSM implements something resembling Finite State Machine.  If
  you're looking for rigor then look somewhere else.  If you're looking
  for feature set then keep looking.

  What A::F does is mechanics with zero awarness of inputs and/or
  outputs (any or both might be missing).  Implementation is definetely
  crude.  That stems from historical burden -- it's a fork!

  If you're not demotivated yet then Acme::FSM has more.

  Test-suite scores 1083 units.

INSTALL

      perl Build.PL
      ./Build build
      ./Build test
      ./Build install

  A::F doesn't need anything (even core modules).  However,

  perl
      *v5.10*, but that's not verified yet.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*

%changelog
