# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/CMake.pm) perl(Alien/Build/Plugin/Build/SearchDep.pm) perl(Alien/Build/Plugin/Cleanse/BuildDir.pm) perl(Alien/Build/Plugin/PkgConfig/PPWrapper.pm) perl(Alien/MSYS.pm) perl(Alien/cmake3.pm) perl(Alien/geos/af.pm) perl(Alien/libtiff.pm) perl(Alien/patch.pm) perl(Alien/proj.pm) perl(Alien/spatialite.pm) perl(Alien/sqlite.pm) perl(Archive/Tar.pm) perl(Capture/Tiny.pm) perl(Env/ShellWords.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/CheckLib.pm) perl(File/Find/Rule.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/SSL.pm) perl(IO/Zlib.pm) perl(List/Util.pm) perl(Mojo/DOM58.pm) perl(Net/SSLeay.pm) perl(Path/Tiny.pm) perl(PkgConfig.pm) perl(Sort/Versions.pm) perl(Test/Alien.pm) perl(URI.pm) perl(URI/Escape.pm) perl(parent.pm)
BuildRequires: pkgconfig(gdal)
# END SourceDeps(oneline)
%define module_name Alien-gdal
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.36
Release: alt2
Summary: Alien package for the Geospatial Data Abstraction Library (GDAL)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SL/SLAFFAN/%{module_name}-%{version}.tar.gz

%description
GDAL is the Geographic Data Abstraction Library.  See http://www.gdal.org.



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
