%define module_name Alien-proj
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/CMake.pm) perl(Alien/Build/Plugin/Build/SearchDep.pm) perl(Alien/Build/Plugin/Cleanse/BuildDir.pm) perl(Alien/Build/Plugin/PkgConfig/PPWrapper.pm) perl(Alien/cmake3.pm) perl(Alien/libtiff.pm) perl(Alien/sqlite.pm) perl(Archive/Tar.pm) perl(Capture/Tiny.pm) perl(Config.pm) perl(Env/ShellWords.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/CheckLib.pm) perl(File/Find/Rule.pm) perl(File/Which.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/SSL.pm) perl(IO/Zlib.pm) perl(List/Util.pm) perl(Mojo/DOM58.pm) perl(Mozilla/CA.pm) perl(Net/SSLeay.pm) perl(Path/Tiny.pm) perl(PkgConfig.pm) perl(Sort/Versions.pm) perl(Test/Alien.pm) perl(URI.pm) perl(URI/Escape.pm) perl(parent.pm) pkgconfig(proj)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.27
Release: alt1
Summary: Alien package for the PROJ library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SL/SLAFFAN/%{module_name}-%{version}.tar.gz

%description
PROJ is a generic coordinate transformation software.  See https://proj4.org/about.html.

This Alien package is probably most useful for compilation of other modules, e.g. the Geo::GDAL::FFI manpage.

The Proj library can be accessed from Perl code via the the Geo::Proj4 manpage package.  

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
