# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/xz perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/Autoconf.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Alien.pm) perl(Test/More.pm) perl(Test2/V0.pm) perl(base.pm) pkgconfig(liblzma)
# END SourceDeps(oneline)
%define module_name Alien-xz
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt2
Summary: Find or build xz
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::xz

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz

%description
This package can be used by other CPAN modules that require xz,
the compression utility, or liblzma, which comes with it.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE author.yml Changes
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
