%define module_name App-BPOMUtils-NutritionFacts
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Browser/Open.pm) perl(Data/Sah/Coerce/perl/To_float/From_str/percent.pm) perl(Data/Sah/Compiler/perl/TH/bool.pm) perl(Data/Sah/Compiler/perl/TH/float.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Math/Round.pm) perl(Number/Format.pm) perl(Org/To/ANSIText.pm) perl(Org/To/HTML.pm) perl(Org/To/Text.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Lite.pm) perl(Pod/Coverage/TrustPod.pm) perl(Sah/Schema/true.pm) perl(Sah/Schema/ufloat.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/ANSI/Util.pm) perl(Text/Table/HTML.pm) perl(Text/Table/More.pm) perl(strict.pm) perl(utf8.pm)
BuildRequires: perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.025
Release: alt1
Summary: Utilities related to BPOM nutrition facts
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-BPOMUtils-NutritionFacts

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution includes CLI utilities related to BPOM nutrition facts.

=over

=item * the bpom-show-nutrition-facts manpage

=item * the bpom-tampilkan-ing manpage

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
