%define module_name App-HL7-Compare
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(Mooish/AttributeBuilder.pm) perl(Pod/Usage.pm) perl(Test/Pod.pm) perl(Type/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: compare two HL7 v2 messages against one another
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BR/BRTASTIC/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module contains routines for parsing, comparing and generating output for
HL7 v2 (pipe-separated) messages. Such comparison can be useful for determining
what's missing from a message, which may not be immediately obvious (depending
on message complexity).

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
