%define module_name App-RouterColorizer
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ByLine.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(Import/Into.pm) perl(List/Util.pm) perl(Moose.pm) perl(Regexp/Common.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/UseAllModules.pm) perl(Test/Version.pm) perl(Test2/V0.pm) perl(feature.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.233180
Release: alt1
Summary: Colorize router CLI output
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMASLAK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module colorizes the output of router output, using.

The output will be colorized based on detection of key strings as they
might be sent from Arista, Juniper, and VyOS routers.  It may also work
on other router outputs, but these have not been used for development.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod TODO CODE_OF_CONDUCT.md LICENSE AUTHOR_PLEDGE CONTRIBUTING Changes
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
