%define module_name App-ansiexpand
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Getopt/EX/Hashed.pm) perl(Getopt/EX/Long.pm) perl(Module/Build/Tiny.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Text/ANSI/Tabs.pm) perl(Text/ParseWords.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt1
Summary: ANSI sequence aware tab expand/unexpand command
Group: Development/Perl
License: perl
URL: https://github.com/tecolicom/App-ansiexpand

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UT/UTASHIRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Documentation is included in the script file.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%_man1dir/*
%perl_vendor_privlib/A*
%_bindir/*

%changelog
