%define module_name App-optex-pingu
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/optex.pm) perl(File/Share.pm) perl(Getopt/EX/Colormap.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: optex make-everything-pingu filter
Group: Development/Perl
License: perl
URL: https://github.com/kaz-utashiro/optex-pingu

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UT/UTASHIRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This optex module is greatly inspired by the pingu(1) manpage command and
make every command pingu not only the ping(1) manpage.  As for original
command, see the SEE ALSO entry elsewhere in this document section.  All honor for this idea should go
to the original author.

=begin html

<p><img width="750" src="https://raw.githubusercontent.com/kaz-utashiro/optex-pingu/main/images/pingu-black.png">

=end html

=begin html

<p><img width="750" src="https://raw.githubusercontent.com/kaz-utashiro/optex-pingu/main/images/pingu-white.png">

=end html

This module is a quite good example to demonstrate the optex(1) manpage command
features.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*

%changelog
