%define module_name CPANPLUS-Dist-Debora
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Extract.pm) perl(Archive/Tar.pm) perl(Archive/Tar/Constant.pm) perl(CPAN/Meta.pm) perl(CPANPLUS.pm) perl(CPANPLUS/Dist/Base.pm) perl(CPANPLUS/Dist/Build.pm) perl(CPANPLUS/Error.pm) perl(Carp.pm) perl(Cwd.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(English.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Fetch.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/Spec/Unix.pm) perl(File/Temp.pm) perl(IPC/Cmd.pm) perl(Module/CoreList.pm) perl(Module/Pluggable.pm) perl(Net/Domain.pm) perl(POSIX.pm) perl(Package/Constants.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Simple.pm) perl(Pod/Simple/Search.pm) perl(Scalar/Util.pm) perl(Software/License.pm) perl(Software/LicenseUtils.pm)
BuildRequires: perl(Test/Kwalitee.pm) perl(Test/MockObject.pm) perl(Test/MockObject/Extends.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/Template.pm) perl(Text/Wrap.pm) perl(lib.pm) perl(parent.pm) perl(utf8.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.012
Release: alt1
Summary: Create Debian or RPM packages from Perl modules
Group: Development/Perl
License: perl
URL: https://github.com/voegelas/CPANPLUS-Dist-Debora/wiki

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VO/VOEGELAS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This CPANPLUS plugin creates Debian or RPM packages from Perl distributions.
The created packages can be installed with CPANPLUS, dpkg or rpm.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md CONTRIBUTING.md Changes examples
%perl_vendor_privlib/C*

%changelog
