%define module_name Config-INI-RefVars
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(TAP/Harness.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Simple.pm) perl(Test/Warn.pm) perl(constant.pm) perl(feature.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt1
Summary: INI file reader, allows the referencing of INI and environment variables within the INI file.
Group: Development/Perl
License: perl_5
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AA/AAHAZRED/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides an INI file reader that allows INI variables and
environment variables to be referenced within the INI file. It also supports
some additional assignment operators.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/C*

%changelog
