%define module_name Cucumber-Messages
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Find/Rule.pm) perl(JSON/MaybeXS.pm) perl(Moo.pm) perl(Test2/Tools/ClassicCompare.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 24.1.0
Release: alt1
Summary: A library for (de)serializing Cucumber protocol messages
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CU/CUKEBOT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Cucumber messages
define the central protocol in the Cucumber ecosystem by which the various
components communicate. Messages are serialized to NDJSON.

This library provides both serialization/deserialization to/from NDJSON as
well as the in-memory representation of the messages for Perl applications.

Each serialized message should be wrapped in a `Cucumber::Messages::Envelope'
and can thereby be deserialized by calling the `from_json' class message
with the serialized representation as its argument, like shown in the SYNOPSIS.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md CHANGELOG.md LICENSE
%perl_vendor_privlib/C*

%changelog
