%define module_name Data-Gimei
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Tiny.pm) perl(File/Share.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(YAML/XS.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.4.2
Release: alt1
Summary: a Perl port of Ruby's gimei.
Group: Development/Perl
License: mit
URL: https://github.com/youpong/Data-Gimei

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YO/YOUPONG/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This module generates fake data that people's name in Japanese and
supports furigana, phonetic renderings of kanji.

The project name comes from Japanese '.'A.''' means a false name.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*

%changelog
