# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBI.pm) perl(Data/Record/Serialize.pm) perl(Data/Record/Serialize/Error.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Monkey/Patch.pm) perl(Moo/Role.pm) perl(SQL/Translator.pm) perl(SQL/Translator/Schema.pm) perl(String/RewritePrefix.pm) perl(Test/More.pm) perl(Test/TempDir/Tiny.pm) perl(Test2/Plugin/NoWarnings.pm) perl(Test2/Tools/AfterSubtest.pm) perl(Test2/V0.pm) perl(Types/Common/String.pm) perl(Types/Standard.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define module_name Data-Record-Serialize-Encode-dbi
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt1
Summary: store a record in a database
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DJ/DJERIUS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Data::Record::Serialize::Encode::dbi writes a record to a database using
the DBI manpage.

It performs both the the Data::Record::Serialize::Role::Encode manpage and
the Data::Record::Serialize::Role::Sink manpage roles.

You cannot construct this directly. You must use
the new entry in the Data::Record::Serialize manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes CONTRIBUTING.md README LICENSE
%perl_vendor_privlib/D*

%changelog
