%define module_name DateTime-Format-JP
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(DateTime/TimeZone.pm) perl(ExtUtils/MakeMaker.pm) perl(Nice/Try.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(open.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.4
Release: alt1
Summary: Japanese DateTime Parser and Formatter
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JD/JDEGUEST/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This module is used to parse and format Japanese date and time. It is lightweight and yet versatile.

It implements 2 main methods: the parse_datetime entry elsewhere in this document and the format_datetime entry elsewhere in this document both expect and return decoded utf8 string.

You can use the Encode manpage to decode and encode from perl internal utf8 representation to real utf8 and vice versa.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md CONTRIBUTING.md README
%perl_vendor_privlib/D*

%changelog
