%define module_name Factory-Sub
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Coerce/Types/Standard.pm) perl(ExtUtils/MakeMaker.pm) perl(Import/Into.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Generate a factory of subs
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

_use Factory::Sub qw/Str HashRef ArrayRef StrToArray StrToHash HashToArray/;

_my $factory = Factory::Sub->new();

_$factory->add(Str, Str, sub { 
__return 1;
_});

_$factory->add(Str, HashRef, sub { 
__return 2;
_});

_$factory->add(ArrayRef, HashRef, sub { 
__return 3;
_});

_$factory->add(StrToArray->by(', '), StrToHash->by(' '), HashToArray->by('keys'), sub { 
__return $_[1];
_});
_
_$factory->('you', 'got'); # 1
_$factory->('the', { money => 'i' }); # 2
_$factory->([qw/g o t/], { the => 'feeling' }); # 3
_$factory->('t, h, a, t', 'you got something to', { say => 'to me honey' }); # { you => 'got', something => 'to' }

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes ignore.txt README
%perl_vendor_privlib/F*

%changelog
