%define module_name Finance-Dogecoin-Utils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter/Shiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(JSON.pm) perl(Mojo/JSON.pm) perl(Mojo/UserAgent.pm) perl(Object/Pad.pm) perl(Path/Tiny.pm) perl(Test/Compile.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.20230424.0253
Release: alt1
Summary: Libraries and Utilities to work with Dogecoin
Group: Development/Perl
License: mit
URL: https://github.com/chromatic/Finance-Dogecoin-Utils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CH/CHROMATIC/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
See the dogeutils manpage

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/F*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
