# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request.pm) perl(IO/Socket/INET.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(LWP/UserAgent/Throttled.pm) perl(Test/Compile.pm) perl(Test/EOF.pm) perl(Test/EOL.pm) perl(Test/Most.pm) perl(Test/NoWarnings.pm) perl(Test/Number/Delta.pm) perl(Test/Perl/Metrics/Simple.pm) perl(Test/Requires.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define module_name Geo-Coder-Mapbox
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Provides a Geo-Coding functionality using L<https://mapbox.com>
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NH/NHORNE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Geo::Coder::Mapbox provides an interface to mapbox.com, a Geo-Coding database covering many countries.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/G*

%changelog
