%define module_name Getopt-App
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Getopt/Long.pm) perl(Pod/Usage.pm) perl(Test2/V0.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: Write and test your script with ease
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/getopt-app

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JH/JHTHORSEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Getopt::App manpage is a module that helps you structure your scripts and integrates
the Getopt::Long manpage with a very simple API. In addition it makes it very easy to
test your script, since the script file can be sourced without actually being
run.

This module is currently EXPERIMENTAL, but is unlikely to change much.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes example
%perl_vendor_privlib/G*

%changelog
