%define module_name Getopt-Class
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clone.pm) perl(DateTime.pm) perl(DateTime/Format/Strptime.pm) perl(Devel/Confess.pm) perl(ExtUtils/MakeMaker.pm) perl(Getopt/Long.pm) perl(Module/Generic.pm) perl(Nice/Try.pm) perl(Scalar/Util.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Tie/Hash.pm) perl(parent.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.0
Release: alt1
Summary: A class based approach for options of Getopt::Long
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JD/JDEGUEST/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
the Getopt::Class manpage is a lightweight wrapper around the Getopt::Long manpage that implements the idea of class of properties and makes it easier and powerful to set up the Getopt::Long manpage. This module is particularly useful if you want to provide several sets of options for different features or functions of your program. For example, you may have a part of your program that deals with user while another deals with product. Each of them needs their own properties to be provided.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING.md README Changes LICENSE README.md
%perl_vendor_privlib/G*

%changelog
