%define module_name Health-SHC
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gs perl(Barcode/ZBar.pm) perl(Crypt/JWT.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Temp.pm) perl(Image/Magick.pm) perl(JSON/Parse.pm) perl(Pod/Wordlist.pm) perl(PostScript/Convert.pm) perl(Test/Exception.pm) perl(Test/Perl/Critic.pm) perl(Test/Spelling.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: Extract and verify Smart Health Card information
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TI/TIMLEGGE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This perl module can extract a Smart Health Card's data from PDFs or image file.
The extracted shc:/ Smart Health Card URI is decoded and the signature checked.
The module provide several methods to retrieve the data in a more usable format.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/H*
%perl_vendor_privlib/auto/*

%changelog
