%define module_name Khonsu
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clone.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Runtime.pm) perl(PDF/API2.pm) perl(Test/More.pm) perl(Types/Standard.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt1
Summary: The great new Khonsu!
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

_my @words = ('Aker', 'Anubis', 'Hapi', 'Khepri', 'Maahes', 'Thoth', 'Bastet', 'Hatmehit', 'Tefnut', 'Menhit', 'Imentet');

_my $generate_text = sub {
__my $length = shift;
__return join " ", map { $words[int(rand(scalar @words))] } 1 .. $length;
_};

_use Khonsu;

_my $khonsu = Khonsu->new(
__'Ra',
__page_size => 'A4',
__page_args => {
___background => '#36b636'
__}
_)->add_page;

_my $padding = 20;
_my $page_padding = $padding * 2;
_$khonsu->add_h1(
__text => $generate_text->(3),
__x => 20,
__y => $padding,
__w => $khonsu->page->w - $page_padding,
__font => {
___colour => '#fff'
__}
_)->add_text(
__text => $generate_text->(2000),
__x => 20,
__y => ($padding * 2) + $khonsu->h1->line_height,
__w => $khonsu->page->w - 40,
__h => $khonsu->page->h - ($khonsu->h1->line_height + $page_padding + $padding),
__indent => 4,
__font => {
___colour => '#fff'
__},
__overflow => 1,
_);

_$khonsu->save();

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt Changes README
%perl_vendor_privlib/K*

%changelog
