%define module_name Mojo-Leds
# BEGIN SourceDeps(oneline):
BuildRequires: perl(BSON/OID.pm) perl(DBD/SQLite.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Mojolicious.pm) perl(Mojolicious/Plugin/AutoRoutePm.pm) perl(Mojolicious/Plugin/RenderFile.pm) perl(Net/Domain.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Tie/IxHash.pm) perl(boolean.pm) perl(lib.pm) perl(re.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.15
Release: alt1
Summary: Leds aka Light Environment (emi) for Development System based on Mojolicious
Group: Development/Perl
License: perl
URL: https://github.com/EmilianoBruni/Mojo-Leds

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EB/EBRUNI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/M*

%changelog
