%define module_name Mojo-WebSocketProxy-Backend-ConsumerGroups
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/UUID.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Future.pm) perl(IO/Async/Loop/Mojo.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeUTF8.pm) perl(Log/Any.pm) perl(Mojo/Redis2.pm) perl(Mojo/WebSocketProxy.pm) perl(Mojo/WebSocketProxy/Backend.pm) perl(MojoX/JSON/RPC/Client.pm) perl(Protocol/Redis.pm) perl(Syntax/Keyword/Try.pm) perl(Test/CheckDeps.pm) perl(Test/Fatal.pm) perl(Test/MockModule.pm) perl(Test/MockObject.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(XS/Parse/Keyword.pm) perl(constant.pm) perl(curry/weak.pm) perl(indirect.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Class for communication with backend by sending messaging through redis streams.
Group: Development/Perl
License: perl
URL: https://github.com/katew-deriv/perl-Mojo-WebSocketProxy-Backend-ConsumerGroups

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DE/DERIV/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Class for communication with backend by sending messaging through redis streams.

=over 4

=item * `Redis streams' is used as channel for sending request to backend servers.

=item * `Redis subscriptions' is used as channel for receiving responses from backend servers.

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/M*

%changelog
