%define module_name Mojolicious-Plugin-DirectoryServer
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(Mojolicious.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.004
Release: alt1
Summary: Serve static files from document root with directory index
Group: Development/Perl
License: artistic_2
URL: https://github.com/briandfoy/mojolicious-plugin-directoryserver

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BD/BDFOY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::Directory manpage is a static file server with a
directory index similar to Apache's mod_autoindex.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.pod Changes examples
%perl_vendor_privlib/M*
%perl_vendor_privlib/i*

%changelog
