# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBIx/Class.pm) perl(DBIx/Class/Schema/Loader.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Module/Load/Conditional.pm) perl(Mojolicious.pm) perl(Readonly.pm) perl(Syntax/Keyword/Try.pm) perl(Test/More.pm) perl(Test2/Suite.pm) perl(XS/Parse/Keyword.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define module_name Mojolicious-Plugin-ORM-DBIx
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Easily load and access DBIx::Class functionality in Mojolicious apps
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TY/TYRRMINAL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Mojolicious::Plugin::ORM::DBIx streamlines the process of getting DBIC classes
generated and accessible from within a Mojolicious application.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README README.md
%perl_vendor_privlib/M*

%changelog
