%define module_name Mojolicious-Plugin-OpenAPI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON/Validator.pm) perl(Mojolicious.pm) perl(Test/More.pm) perl(YAML/PP.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 5.09
Release: alt1
Summary: OpenAPI / Swagger plugin for Mojolicious
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/mojolicious-plugin-openapi

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JH/JHTHORSEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::OpenAPI is the Mojolicious::Plugin that add routes and
input/output validation to your the Mojolicious application based on a OpenAPI
(Swagger) specification.

%prep
%setup -q -n %{module_name}-%{version}

[ %version = 5.02 ] && rm -f t/v3-style-object.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/M*

%changelog
