%define module_name MooX-Keyword-Chain
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(MooX/Keyword.pm) perl(Test/More.pm) perl(Types/Standard.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Subroutine chains
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

_package Chains;

_use Moo;
_use MooX::Keyword extends => '+Chain';

_has boat => (
__is => 'ro',
__default => sub { [ ] }
_);

_chain add => 'politicians' => sub {
__push @{ $_[0]->boat }, 'leadership';
_};

_chain add => 'reporters' => sub {
__push @{ $_[0]->boat }, 'propaganda';
_};

_chain add => 'bankers' => sub {
__push @{ $_[0]->boat }, 'finance';
_};

_1;

_...

_my $chains = Chains->new();

_$chains->add(); # [ 'leadership', 'propaganda', 'finance' ];

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README ignore.txt
%perl_vendor_privlib/M*

%changelog
