%define module_name MooX-Keyword-Factory
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Factory/Sub.pm) perl(Moo.pm) perl(MooX/Keyword.pm) perl(Test/More.pm) perl(Types/Standard.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Moo attribute factories
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

_package Factory;

_use Moo;
_use MooX::Keyword extends => '+Factory';
_use My::Type::Library qw/Name, Email Phone PostCode/

_factory worker => Name, Email, sub {
__...
__return 2;
_};

_factory worker => Name, Email, Phone, sub {
__...
__return 3;
_};

_factory worker => Name, Email, PostCode, sub {
__...
__return 3;
_};

_factory worker => Name, Email, Phone, PostCode, sub {
__...
__return 4;
_};

_1;

_...

_my $factory = Factory->new();

_$factory->worker($name, $email); # 2
_$factory->worker($name, $email, $phone); # 3
_$factory->worker($name, $email, $postcode); # 3 
_$factory->worker($name, $email, $phone, $postcode); # 4

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README ignore.txt Changes
%perl_vendor_privlib/M*

%changelog
