%define module_name PDF-Data
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Clone.pm) perl(Compress/Raw/Zlib.pm) perl(Cwd.pm) perl(Data/Dump.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Math/Trig.pm) perl(POSIX.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test2/V0.pm) perl(bytes.pm) perl(if.pm) perl(lib.pm) perl(mro.pm) perl(namespace/autoclean.pm) perl(ok.pm) perl(strict.pm) perl(utf8.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.1
Release: alt1
Summary: Manipulate PDF files and objects as data structures
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DE/DEVEN/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This module can read and write PDF files, and represents PDF objects as data
structures that can be readily manipulated.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README
%perl_vendor_privlib/P*

%files scripts
%_bindir/*

%changelog
