%define module_name Perl-Examples-Accessors
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor.pm) perl(Class/Accessor/Array.pm) perl(Class/Accessor/Array/Slurpy.pm) perl(Class/Accessor/PackedString.pm) perl(Class/Accessor/PackedString/Set.pm) perl(Class/InsideOut.pm) perl(Class/Struct.pm) perl(Class/Tiny.pm) perl(Class/XSAccessor.pm) perl(Class/XSAccessor/Array.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Kavorka.pm) perl(Lexical/Accessor.pm) perl(Mo.pm) perl(Mojo/Base.pm) perl(Mojo/Base/XS.pm) perl(Moo.pm) perl(MooX/late.pm) perl(Moops.pm) perl(Moos.pm) perl(Moose.pm) perl(MooseX/MungeHas.pm) perl(Mouse.pm) perl(Object/Pad.pm) perl(Object/Simple.pm) perl(Object/Tiny.pm) perl(Object/Tiny/RW.pm) perl(Object/Tiny/RW/XS.pm) perl(Object/Tiny/XS.pm) perl(PerlX/Assert.pm) perl(Pod/Coverage/TrustPod.pm) perl(Simple/Accessor.pm)
BuildRequires: perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.132
Release: alt1
Summary: A collection of example classes using various accessor generators
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Perl-Examples-Accessors

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
DESCRIPTION

SEE ALSO

    Perl::Examples


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/P*

%changelog
