%define module_name Pheno-Ranker
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Fake.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(File/ShareDir/ProjectDistDir.pm) perl(Hash/Fold.pm) perl(JSON/Validator.pm) perl(JSON/XS.pm) perl(List/MoreUtils.pm) perl(Math/CDF.pm) perl(Moo.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Sort/Naturally.pm) perl(Statistics/Descriptive.pm) perl(Term/ANSIColor.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Text/CSV_XS.pm) perl(Types/Standard.pm) perl(YAML/XS.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: A module that performs semantic similarity in PXF/BFF data structures and beyond (JSON|YAML)
Group: Development/Perl
License: perl
URL: https://github.com/CNAG-Biomedical-Informatics/pheno-ranker

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MR/MRUEDA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
We recommend using the included command-line interface.

For a better description, please read the following documentation:

=over

=item General:

https://cnag-biomedical-informatics.github.io/pheno-ranker

=item Command-Line Interface:

https://github.com/CNAG-Biomedical-Informatics/pheno-ranker#readme

=back

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes
%perl_vendor_privlib/P*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
