%define module_name Plack-Middleware-EmulateOPTIONS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Status.pm) perl(Module/Metadata.pm) perl(Plack/Builder.pm) perl(Plack/Middleware.pm) perl(Plack/Middleware/ContentLength.pm) perl(Plack/Middleware/Static.pm) perl(Plack/Response.pm) perl(Plack/Test.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/DistManifest.pm) perl(Test/EOL.pm) perl(Test/Fixme.pm) perl(Test/Kwalitee.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test2/V0.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3.2
Release: alt1
Summary: handle OPTIONS requests as HEAD
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RR/RRWO/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This middleware adds support for handling HTTP `OPTIONS' requests, by internally rewriting them as `HEAD' requests.

If the requests succeed, then it will add `Allow' headers using the the callback entry elsewhere in this document method.

If the requests do not succeed, then the responses are passed unchanged.

You can add the the filter entry elsewhere in this document attribute to determine whether it will proxy `HEAD' requests.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/P*

%changelog
