%define module_name SignalWire-ML
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(YAML/PP.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.18
Release: alt1
Summary: SignalWire-ML version 1.04
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BW/BWEST/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
SignalWire-ML version 1.04
=============================

SignalWire::ML is a small module for creating SignalWire ML

ML documents:

    Example 1:
    use SignalWire::ML;

    my $swml = SignalWire::ML->new({version => '1.0.1', voice => 'en-US-Neural2-J'});
    $swml->addAIlanguage({name => 'English', code => 'en-US', voice => 'en-US-Neural2-F'});
    $swml->addAIlanguage({name => 'French', code => 'fr-FR', voice => 'fr-FR-Neural2-E'});

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/S*

%changelog
