%define module_name String-Tagged-Markdown
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Convert/Color.pm) perl(HTML/Entities.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(String/Tagged.pm) perl(Test2/V0.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: parse and emit text with Markdown inline formatting
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This subclass of the String::Tagged manpage handles text that contains inline markers
to give formatting hints, in the style used by Markdown. For example, text
wrapped in double-asterisks indicates it should be bold (as `**bold**'), or
single-asterisks to indicate italics (as `*italics*').

This module does not provide a full Markdown parser, but it does handle
enough of the simple inline markers that it could be used to handle
Markdown-style formatting hints of small paragraphs of text.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README examples
%perl_vendor_privlib/S*

%changelog
