%define module_name Terse-Config
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/LNPath.pm) perl(ExtUtils/MakeMaker.pm) perl(Terse/Plugin.pm) perl(Test/More.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Terse configs
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
package MyApp::Plugin::Config;

_use base 'Terse::Plugin::Config::YAML';

_1;

_$terse->plugin('config')->find('path/to/key');
_$terse->plugin('config')->data->path->to->key;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt Changes README
%perl_vendor_privlib/T*

%changelog
