# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Terse.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Terse-Headers
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Terse headers
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
package MyApp;

_use base 'Terse';
_use Terse::Plugin::Headers;

_sub build_app {
__$_[0]->headers = Terse::Plugin::Headers->new;
_}

_sub auth {
__my ($self, $context) = @_;
__if ($context->req) { # second run through of the auth sub routine
___$self->headers->set($context, %%headers);
__}
_}

_1;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt Changes README
%perl_vendor_privlib/T*

%changelog
