# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(Terse.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Terse-Plugin-DBI
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: DBI in Terse
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

_package Corruption::Plugin::DBI;

_use base 'Terse::Plugin::DBI';

_sub connect_info {
__...
__return ($dsn, $user, $password);
_}


_1;

_...
_
_package Corruption::Model::Elementalist;

_use base 'Terse::Model';

_sub get {
__my ($self, $t, $name) = @_;

__my $sh = $t->plugin('dbi')->prepare(q|select mind, movement, sense, sight, smell, taste from secrets where name = ?|);

__$sh->execute($name) or $t->logError($sh->errstr, 404) && return;
_
__return $sh->fetchrow_array();
_}

_1;

_...

_package Corruption::Controller::Hospital;

_use base 'Terse::Controller';

_sub mockery {
__my ($self, $t) = @_;

__$t->model('elementalist')->get('simon peter');
_}
_
_1;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/T*

%changelog
