%define module_name Terse-Static
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Terse.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: Serve static resources
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
package MyApp::View::Static;

_use base 'Terse::View::Static::Memory';

_1;

_package MyApp::Controller::Static;

_use base 'Terse::Controller::Static';

_1;

_package MyApp::Controller::Web;

_use base 'Terse::Controller';

_sub web :get :delayed :view(static) :content_type(text/html);

_1;
_...

_GET localhost/static/js/app.js
_GET localhost/web

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README ignore.txt Changes
%perl_vendor_privlib/T*

%changelog
