%define module_name Tickit-Widget-Scroller
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build.pm) perl(Object/Pad.pm) perl(String/Tagged.pm) perl(Test2/V0.pm) perl(Tickit/Pen.pm) perl(Tickit/RenderBuffer.pm) perl(Tickit/Test.pm) perl(Tickit/Widget.pm) perl(Tickit/Window.pm) perl(XS/Parse/Sublike.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.32
Release: alt1
Summary: a widget displaying a scrollable collection of
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class provides a widget which displays a scrollable list of items. The
view of the items is scrollable, able to display only a part of the list.

A Scroller widget stores a list of instances implementing the
`Tickit::Widget::Scroller::Item' interface.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README examples
%perl_vendor_privlib/T*

%changelog
