# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(Geo/Location/Point.pm) perl(IPC/System/Simple.pm) perl(JSON/MaybeXS.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Test/Carp.pm) perl(Test/Compile.pm) perl(Test/Most.pm) perl(Test/NoWarnings.pm) perl(URI.pm) perl(WWW/RT/CPAN.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define module_name TimeZone-TimeZoneDB
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Interface to L<https://timezonedb.com> for looking up Timezone data
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NH/NHORNE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
TimeZone::TimeZoneDB provides an interface to timezonedb.com
to look up timezones.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/T*

%changelog
