%define module_name Tk-ColorEntry
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Convert/Color.pm) perl(ExtUtils/MakeMaker.pm) perl(Imager.pm) perl(Imager/Screenshot.pm) perl(Test/Tk.pm) perl(Tk.pm) perl(Tk/PopList.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Entry widget with a Tk::PopColor widget attached.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HA/HANJE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Megawidget, inherits the Tk::Frame manpage
Tk::ColorEntry is an entry widget with a label packed to it's right.
The background color of the label is used as indicator for the current color.
Clicking the entry widget pops a the Tk::ColorPop manpage widget.

Pressing escape causes the ColorPop to widthdraw. If a pick operation is active
cancels the pick operation instead.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/T*

%changelog
