%define module_name Travel-Routing-DE-HAFAS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Accessor.pm) perl(DateTime.pm) perl(DateTime/Duration.pm) perl(DateTime/Format/Strptime.pm) perl(Digest/MD5.pm) perl(Encode.pm) perl(File/Slurp.pm) perl(Getopt/Long.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Test/Compile.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Travel/Status/DE/HAFAS.pm) perl(Travel/Status/DE/HAFAS/Journey.pm) perl(Travel/Status/DE/HAFAS/Location.pm) perl(Travel/Status/DE/HAFAS/Message.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Interface to HAFAS itinerary services
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DE/DERF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Travel::Routing::DE::HAFAS is an interface to HAFAS itinerary services
using the mgate.exe interface. It works best with the legacy instance of
Deutsche Bahn, but supports other transit services as well.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md COPYING Changelog
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
