%define module_name Try-ALRM
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/Exception.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.82
Release: alt1
Summary: Provides C<alarm> semantics similar to C<Try::Catch>.
Group: Development/Perl
License: perl
URL: https://github.com/oodler577/p5-Try-ALRM

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OO/OODLER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Provides *try/catch*-like semantics for handling code being guarded by
`alarm'. Because it's localized and potentially expected, `ALRM' signals
can be treated as exceptions.

`alarm' is extremely useful, but it can be cumbersome do add in code. The
goal of this module is to make it more idiomatic, and therefore more accessible.
It also allows for the `ALRM' signal itself to be treated more semantically
as an exception. Which makes it a more natural to write and read in Perl.
That's the idea, anyway.

Internally, the *keywords* are implemented as prototypes and uses the same
sort of coersion of a lexical bloc to a subroutine reference that is used
in `Try::Tiny'.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE examples
%perl_vendor_privlib/T*

%changelog
