# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(Error/Helper.pm) perl(ExtUtils/MakeMaker.pm) perl(Net/Subnet.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Web-ACL
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.2
Release: alt1
Summary: A helper for creating basic apikey/slug/IP based ACLs.
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VV/VVELOX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Web::ACL;

    my $acl = Web::ACL->new(acl=>{
            fooBar=>{
____ip_auth       => 1,
____slug_auth     => 0,
____require_ip    => 1,
____require_slug  => 0,
____final         => 1,
____slugs         => [],
____slugs_regex   => [],
____allow_subnets => ['192.168.0.0/16','127.0.0.1/32'],
____deny_subnets  => [],
             },
            derp=>{
____ip_auth       => 1,
____slug_auth     => 1,
____require_ip    => 1,
____require_slug  => 0,
____final         => 1,
____slugs         => ['derp'],
____slugs_regex   => [],
____allow_subnets => ['192.168.0.0/16','127.0.0.1/32'],
____deny_subnets  => ['10.0.10.0/24'],
             },
            derpderp=>{
____ip_auth       => 0,
____slug_auth     => 1,
____require_ip    => 1,
____require_slug  => 0,
____final         => 1,
____slugs         => ['derp'],
____slugs_regex   => [],
____allow_subnets => [],
____deny_subnets  => [],
             },
        });

    my $results=$acl->check(
                    apikey=>'a_test',
                    ip=>'10.1.3.4',
                    slugs=>['test2'],
                );
    if ($results) {
        print "Authed\n";
    }else{
        print "Not Authed\n";
    }

    my $results=$acl->check(
                    apikey=>'fooBar',
                    ip=>'192.168.1.2',
                    slugs=>['test2'],
                );
    if ($results) {
        print "Authed\n";
    }else{
        print "Not Authed\n";
    }

    my $results=$acl->check(
                    apikey=>'fooBar',
                    ip=>'192.168.1.2',
                    slugs=>['test2'],
                );
    if ($results) {
        print "Authed\n";
    }else{
        print "Not Authed\n";
    }

    my $results=$acl->check(
                    apikey=>'derpderp',
                    ip=>'192.168.1.2',
                    slugs=>['derp'],
                );
    if ($results) {
        print "Authed\n";
    }else{
        print "Not Authed\n";
    }

    my $results=$acl->check(
                    apikey=>'derpderp',
                    ...

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/W*

%changelog
