%define module_name Workflow-Inotify
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor/Fast.pm) perl(Config/IniFiles.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(Linux/Inotify2.pm) perl(List/Util.pm) perl(Proc/Daemon.pm) perl(Proc/PID/File.pm) perl(Readonly.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.5
Release: alt1
Summary: script to daemonize a `Linux::Inotify2' handler
Group: Development/Perl
License: perl
URL: http://github.com/rlauer6/perl-Workflow-Inotify

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BIGFOOT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Script harness for `Workflow::Inotify::Handler' classes.  This is
typically launched as a daemon by the inotifyd script or using a
`systemctl' service description.

See the Workflow::Inotify::Handler manpage

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ChangeLog
%perl_vendor_privlib/W*

%files scripts
%_bindir/*

%changelog
