%define module_name XML-Enc
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Crypt/AuthEnc/GCM.pm) perl(Crypt/Mode/CBC.pm) perl(Crypt/OpenSSL/Guess.pm) perl(Crypt/OpenSSL/X509.pm) perl(Crypt/PK/RSA.pm) perl(Crypt/PRNG.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(File/Which.pm) perl(Import/Into.pm) perl(MIME/Base64.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/EOL.pm) perl(Test/Lib.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(XML/LibXML.pm) perl(XML/LibXML/XPathContext.pm) perl(feature.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt1
Summary: A toolkit to help encrypt and decrypt XML Digital Signatures.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TI/TIMLEGGE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
my $decrypter = XML::Enc->new(
                                {
                                    key                         => 't/sign-private.pem',
                                    no_xml_declaration          => 1,
                                },
                            );
    $decrypted = $enc->decrypt($xml);

    my $encrypter = XML::Enc->new(
                                {
                                    cert                => 't/sign-certonly.pem',
                                    no_xml_declaration  => 1,
                                    data_enc_method     => 'aes256-cbc',
                                    key_transport       => 'rsa-1_5',

                                },
                            );
    $encrypted = $enc->encrypt($xml);

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/X*

%changelog
