%define module_name builtin-compat
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002001
Release: alt1
Summary: Provide builtin functions for older perl versions
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HA/HAARG/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Provides the builtin manpage functions for perl versions that do not include the
the builtin manpage module.

No functions are exported by default.

This module does its best to behave similar to the builtin manpage, which creates its
exported functions as lexicals. The functions will be created in the currently
compiling scope, not the immediate caller of `builtin::compat->import'.
The functions will also be removed at the end of the compilation scope using
the namespace::clean manpage.

The the builtin manpage functions will be used directly when they are available.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/b*

%changelog
