%define module_name emailvalidation
# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Basename.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0
Release: alt69
Summary: validate & verify any email address
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EV/EVERAPI/%{module_name}-3.tar.gz
BuildArch: noarch

%description
Emailvalidation is a Perl module that validates any email address and verifies it's existence.
The usage of the module requires an API key. You can get your API key here: https://app.emailvalidation.io/register.

Learn more about the product here: https://emailvalidation.io

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md
%perl_vendor_privlib/e*

%changelog
